summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorDrashna Jaelre <drashna@live.com>2019-02-13 01:46:04 +0100
committerGitHub <noreply@github.com>2019-02-13 01:46:04 +0100
commitd3f7910e680379edd80f8fbe76dd756f7f35c0f3 (patch)
tree05dea40555dd9ee481d005eed1124cd1933ad0e3 /util
parentc5e10b7203f140e747ac3a95b6964c52110e07df (diff)
downloadqmk_firmware-d3f7910e680379edd80f8fbe76dd756f7f35c0f3.tar.gz
qmk_firmware-d3f7910e680379edd80f8fbe76dd756f7f35c0f3.tar.xz
Remove AUTOGEN and fix Travis Compiled Push scripts (#5077)
* Grab HEX and BIN files from autogen And push them to qmk.fm/compiled * Make autogen copy extension agnostic This way, when travis cl scrpit looks for hex files, it will actually grab bin files, and not hex files for ARM boards * Handle the AUTOGEN in :bin target to properly handle edge cases Both the TADA68 and ATSAM boards generate the hex file and then convert it to a bin file. The changes I made does not handle this well, at all. This removes the hex and replaces it with a bin, if a bin is normally generated. * Revert hex target to original copy command * Check hex and bin separately in compile push script Since I don't know how to script this, well * Simplify push to compiled folder * Further simplify compiled push script * Move AUTOGEN parsing to a more sane location to prevent tech debt Thanks to skully! * Remove AUTOGEN completely, as it's not needed This has the benefit of making everything super simple, since we can pull every hex and bin from the root of the qmk_firmware folder, and move that to th compiled folder. This also removes old and unneeded code, and removes some tech debt that has been accrued, without adding more, in theory.
Diffstat (limited to 'util')
-rwxr-xr-xutil/travis_build.sh12
-rwxr-xr-xutil/travis_compiled_push.sh7
2 files changed, 9 insertions, 10 deletions
diff --git a/util/travis_build.sh b/util/travis_build.sh
index d12a87a94..a25d871e2 100755
--- a/util/travis_build.sh
+++ b/util/travis_build.sh
@@ -5,9 +5,9 @@
TRAVIS_COMMIT_MESSAGE="${TRAVIS_COMMIT_MESSAGE:-none}"
TRAVIS_COMMIT_RANGE="${TRAVIS_COMMIT_RANGE:-HEAD~1..HEAD}"
-MAKE_ALL="make all:default AUTOGEN=\"true\""
+MAKE_ALL="make all:default"
-if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip build]"* ]] ; then
+if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip build]"* ]] ; then
exit_code=0
git diff --name-only -n 1 ${TRAVIS_COMMIT_RANGE}
if [ $? -eq 128 ]; then
@@ -30,15 +30,15 @@ if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip build]"* ]] ; then
KEYMAP_ONLY=$(git diff --name-only -n 1 ${TRAVIS_COMMIT_RANGE} | grep -Ev '^(keyboards/'${KB}'/keymaps/)' | wc -l)
if [[ $KEYMAP_ONLY -gt 0 ]]; then
echo "Making all keymaps for $KB"
- make ${KB}:all AUTOGEN=true
+ make ${KB}:all
: $((exit_code = $exit_code + $?))
else
MKM=$(git diff --name-only -n 1 ${TRAVIS_COMMIT_RANGE} | grep -oP '(?<=keyboards/'${KB}'/keymaps/)([a-zA-Z0-9_]+)(?=\/)' | sort -u)
for KM in $MKM ; do
- echo "Making $KM for $KB"
- make ${KB}:${KM} AUTOGEN=true
+ echo "Making $KM for $KB"
+ make ${KB}:${KM}
: $((exit_code = $exit_code + $?))
- done
+ done
fi
done
fi
diff --git a/util/travis_compiled_push.sh b/util/travis_compiled_push.sh
index 66b3beb6c..155a9a8d2 100755
--- a/util/travis_compiled_push.sh
+++ b/util/travis_compiled_push.sh
@@ -69,10 +69,9 @@ if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip build]"* ]] ; then
# rm -f compiled/*.hex
# ignore errors here
- for file in ../qmk_firmware/keyboards/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
- for file in ../qmk_firmware/keyboards/*/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
- for file in ../qmk_firmware/keyboards/*/*/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
- for file in ../qmk_firmware/keyboards/*/*/*/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
+ # In theory, this is more flexible, and will allow for additional expansion of additional types of files and other names
+ mv -t compiled ../qmk_firmware/*_default.*(hex|bin) || true
+
bash _util/generate_keyboard_page.sh
git add -A
git commit -m "generated from qmk/qmk_firmware@${rev}"